При установке/обновлении програм система становится колом.

Периодически во время установки программ или просто поиска обновлений начинает грузиться проц и тарахтеть как будто он там пару линуксов параллельно устанавливает винт! Винт новый как и весь ноутбук.

0
Fogma - 15 Февраль, 2016 - 10:41
Изображение пользователя Fogma.

уже проскакивала эта проблема в теме про обновление 5.5.3 из backports. У меня также всё повисает на несколько минут. После проверки всё становится нормально

0
Bagr2 - 15 Февраль, 2016 - 10:42

так это просто проблема плазмы

0
Fogma - 15 Февраль, 2016 - 10:55
Изображение пользователя Fogma.

у меня в пятницу пришло обновление апдейтера, после чего вроде зависаний небыло замечено

0
Bagr2 - 15 Февраль, 2016 - 11:34

Так проблема в том что он вообще обновлять перестал! Пишет что не может скачать пакет!

0
dyug - 15 Февраль, 2016 - 11:50

это ручки некоторым пейсателям нужно вырвать...
за запуск apt-check в неограниченном количестве экземпляров...
я, если ловлю, сразу пришибаю, не дожидаясь свопа в 2 гига, при 8 гигах оперативки...

0
Fogma - 15 Февраль, 2016 - 11:57
Изображение пользователя Fogma.

хотелось бы научиться ловить и пришибать, когда система находится в некликабельном состоянии

0
dyug - 15 Февраль, 2016 - 13:26

Ну я же написал "если ловлю, сразу пришибаю"
Если не успел, то на полчасика часик можно пойти полежать/поспать/покушать... :-)
Ах да, это все только дома происходит, на нетбуке такого эффекта не видел ни разу.
Разница только в 32 битах на нетбуке и 64 на домашней.

0
Bagr2 - 15 Февраль, 2016 - 12:06

У меня запускается обновления вылетает ошибка что не может скачать пакет и до свидания! Все висит винт торохтит иногда минут через 10 выходит, а чаще всего тупо вырубаю ноут!

+1
buggy - 15 Февраль, 2016 - 15:53
Изображение пользователя buggy.

Не хочу никого обидеть, но после этого всего, зачем вы пользуетесь этой пятой плазмой? Я не стебусь, мне правда интересно.
Иногда, когда читаю, у меня складывается ощущение, что у нас какие-то разные компьютеры, операционки и т. д., и только потом вспоминаю, что люди ведут разговор о 5-й плазме...

+1
MacLeod - 15 Февраль, 2016 - 17:05
Изображение пользователя MacLeod.

Не хочу обидеть, но зачем по-Д'Артаньянски в цатый раз говорить как вы классно сидите на старой версии?
Зачем пользуемся пятой? Потому шо она работает и юзабельна! А это форум, на котором мы обсуждаем и решаем возникающие проблемы.

0
buggy - 15 Февраль, 2016 - 18:22
Изображение пользователя buggy.

Да не, Вы меня неправильно поняли, я не о том, что я классно сижу на старой, мне просто интересно узнать от пользователей их мнение, чем лучше пятерка, может я чего-то не знаю :)

0
kot040188 - 15 Февраль, 2016 - 18:25
Изображение пользователя kot040188.

Есть плюшки, но для каждого они свои ヅ

0
buggy - 15 Февраль, 2016 - 18:38
Изображение пользователя buggy.

Намек на "На свете феньки есть такие, которых лохи просто не секут"? :)

0
kot040188 - 15 Февраль, 2016 - 18:40
Изображение пользователя kot040188.

Вы сейчас с кем разговаривали?

0
buggy - 15 Февраль, 2016 - 19:44
Изображение пользователя buggy.

Да нет, просто Шекспира вспомнил :)

0
MacLeod - 15 Февраль, 2016 - 19:48
Изображение пользователя MacLeod.

интересно узнать от пользователей их мнение
С точки зрения интерфейса: новизна, свежачок-с. Вчера вот на общей волне возился над допиливанием отдельных приложений под темную тему. ИМХО, итог получился приятнее, чем на четвертых, обратно шагать - даже мысли не возникает.
С технической точки зрения: большой интерес представляет новая организация библиотек. Баги иногда мотивируют залезть в исходники, немного лучше понять систему, получить мизерный, но опыт. Интересен и очень радует момент, что со следующего релиза можно будет распространять софт ориентируясь и полагаясь на вменяемую по свежести версию Qt5, обеспеченную мейнтейнерами дистрибутива (как LTS, так и текущего).
С пользовательской: в моем случае, на всех используемых машинах уже практически полностью устраивает и позволяет выполнять задачи.
Лично моя субъективщина.

0
buggy - 16 Февраль, 2016 - 20:27
Изображение пользователя buggy.

Большое спасибо именно за субъективный, но в то же время, сбалансированный ответ!
А то обычно слышишь либо: "мне пофиг свистоперделки, мне надо чтобы документ открывался", либо: "у меня в одном месте окошечко немножечко неплавно колышется, а докумнт я и под виндой открою". А здесь чувствуется как раз сбалансированный подход - когда "хочу и чтоб функционально и чтоб глазу приятно". Вот за это и спасибо! :)

0
MacLeod - 16 Февраль, 2016 - 21:21
Изображение пользователя MacLeod.

Скорее, я бы сказал, определенность, чем сбалансированность. Без определенности ведь вообще разумное общение невозможно. Я просто перечислил, пусть и подходящие только для меня лично, но конкретные причины.

Кстати, приведенные примеры ведь не о выборе между KDE4 <-> KDE5, а больше о том, использовать ли KDE вообще. Но нарушение здравой нити в них в том, что открытие документа вообще не относится к KDE. К KDE относится поиск этого документа на диске, переключение между несколькими такими документами, несколькими приложениями и т.д.

Предназначение KDE, в особенности плазмы - в возможности тотальной кастомизации и возможности настройки как хочется пользователю. С панелью / без панели, где эта панель, что на этой панели, в каком порядке, сколько панелей и их поведение на многомониторной конфигурации, рабочий стол...

Я вот для MacOS купил два приложения (для замены проводника Finder и дока на панель), не получив при этом возможности настроить совсем уж как хочется. А в KDE такая возможность есть.

Часть пользователей предпочитает, чтобы за них решали, как должно выглядеть окружение и не хотят самостоятельно с этим возиться. Глупо их осуждать.

Получается совершенно очевидный выбор: нужна кастомизация - добро пожаловать в KDE, нет - XFCE и другие возможно придутся по вкусу.

0
Aleksandru71 - 15 Февраль, 2016 - 18:46
Изображение пользователя Aleksandru71.

Степень допила до юзабельности 5-й плазмы резко упала? Или еще на высоте?
Только не говорите слов, что она по "дефолту" юзабельна.

0
MacLeod - 15 Февраль, 2016 - 19:53
Изображение пользователя MacLeod.

Давайте, для начала, определимся с понятием юзабельности. В понимании "возможность использования", без подмены утилитарного эстетическим? Или по международному стандарту (степень, с которой продукт может быть использован определёнными пользователями при определённом контексте использования для достижения определённых целей с должной эффективностью, продуктивностью и удовлетворённостью)?

В первом случае - да, по дефолту. Если не хотите слов, могу снять видео с установкой ОСи, нужных мне программ и образцом их использования =)

0
Aleksandru71 - 15 Февраль, 2016 - 22:56
Изображение пользователя Aleksandru71.

MacLeod, вы с Жюстин не в одном подъезде живете?
Как ваша дефолтность с этим вяжется: Вчера вот на общей волне возился над допиливанием отдельных приложений под темную тему. ИМХО,
Баги иногда мотивируют залезть в исходники,

0
MacLeod - 16 Февраль, 2016 - 04:25
Изображение пользователя MacLeod.

Очень просто. Наличие темной темы, особенно на сторонних приложениях, не влияет на возможность использования пятой плазмы в работе для выполнения необходимых мне задач. До вчерашнего дня, мои задачи, как ни странно для вас прозвучит, также выполнялись, причем с той же эффективностью.
Предполагая, что вы начнете смешивать в одну кучу, выше упомянул про утилитарность и эстетичность, но вы все равно наступили на грабли.

Подумайте еще раз - если мне не нравится, как сделана темная тема редактора в Qt Creator и я считаю ее слишком контрастной, то какая здесь связь с юзабельностью плазмы?

Баги. Они бывают различных категорий. Преимущественно это:
а) блокеры (приводящие к невозможности использования основного функционала, например, виснет панель задач и не открывается главное меню);
б) критиклы (приводящие к невозможности использования незначительного функционала, например, невозможность добавить учетную запись ICQ во встроенный мессенджер);
в) мажорной важности (незначительный функционал работает не так, как ожидается, например, не сохраняется статус во встроенном мессенджере);
г) минорной важности...

Первые у плазмы проявлялись только в совокупности с проблемами драйверов (лично не видел). Вторые по определению уже не влияют на возможность использования основного функционала.
У меня, к примеру, падений вообще нет, но даже если она у человека падает пару раз в день, запускаясь автоматически и не приводя к потере каких-либо данных - это не блокер.

В исходники смотрю, потому что интересно. И в основном - по чужим бэктрейсам или проблемам. Пример - эта тема, у меня из трех машин проявлялось один раз на одной.

А как у вас вяжется подъзед в центре Москвы с подъездом на окраине Иркутска? =)

0
Aleksandru71 - 16 Февраль, 2016 - 19:16
Изображение пользователя Aleksandru71.

А как у вас вяжется подъзед в центре Москвы с подъездом на окраине Иркутска? =)
По множеству лишних, пустых(не имеющих смысловой нагрузки) слов:-)

0
MacLeod - 16 Февраль, 2016 - 19:22
Изображение пользователя MacLeod.

Конкретику в студию.

0
Aleksandru71 - 16 Февраль, 2016 - 19:39
Изображение пользователя Aleksandru71.

Ну ваши некоторые комментарии (особенно мне адресованные) можно ополовинить, без изменения смысла.
Я на вас бочку не качу. Вот часть бы вашего красноречия мне подарить, была бы золотая середина.

0
MacLeod - 16 Февраль, 2016 - 19:58
Изображение пользователя MacLeod.

Конкретные примеры фраз приведите, которые можно выбросить "без изменения смысла". Не забудьте про "пустых(не имеющих смысловой нагрузки)".

0
AlexBKost - 15 Февраль, 2016 - 20:10

Я не стебусь, мне правда интересно. А мне интересно, что мешает вам завести еще только одну систему на хозяйстве, но на пятой плазме и самому все увидеть воочию.

+4
MacLeod - 15 Февраль, 2016 - 17:07
Изображение пользователя MacLeod.

Я уже смеюсь в голос... Перед этим уже писал причину и как побороть. Хорошо, вот само решение:
#!/bin/bash

PIDFILE="/var/run/shm/apt-check.pid"

if [ ! -f $PIDFILE ]
then
        touch $PIDFILE
        /usr/lib/update-notifier/apt_check.py
        rm $PIDFILE
fi

Сохраняем в новый файл /usr/lib/update-notifier/apt-check-wrap
Делаем его исполняемым (chmod +x /usr/lib/update-notifier/apt-check-wrap)
Ссылку /usr/lib/update-notifier/apt-check, которая ранее указывала на apt_check.py, меняем на мою обертку:
sudo ln -s /usr/lib/update-notifier/apt-check-wrap /usr/lib/update-notifier/apt-check
Теперь одновременно больше одного apt-check запускаться не будет.

Те, кто хочет далее тренировать реакцию, как товарищ Дюг, могут не юзать =)

+2
dyug - 15 Февраль, 2016 - 18:57

но пи...ть кдешников за такое нужно ногами, не снимая ботинок, в любом случае...
может не кдешников, а сборщиков для кубунты, но пи...ть - надо.
И за НЕИСПРАВЛЕНИЕ такого бага - особенно.

+1
MacLeod - 15 Февраль, 2016 - 19:55
Изображение пользователя MacLeod.

Ой, да. Пи...ть нужно, это дело хорошее. Нужное и полезное.
А как лучше всего отпи...ть разработчика? Правильно, завести баг на трекере!
Кто похвастается заведенным багом?)

0
dyug - 16 Февраль, 2016 - 11:03

ты. :-)
как исправитель...
Кстати, так и не понял это баг кде, или кубунту ппа?
ибо лезть в сырцы нет ни сил ни желания, если честно...
Хреновато я себя чувствую...
Еще и евротрак2 потерял руль под линухом, ездить на мыши очень не нравится... :-(

0
MacLeod - 16 Февраль, 2016 - 19:08
Изображение пользователя MacLeod.

Кстати, так и не понял это баг кде, или кубунту ппа?
Да хрен его знает... Вообще update-notifier начинал пилить кто-то из Каноникла, после чего он стал общим для всех Debian-based дистрибутивов. Естественно, эта штука применима только там, где есть apt и во всяких сьюсах и гусях она как собаке пятая нога. Плюс это попытка сделать универсальное решение для нескольких оболочек, поэтому разрабы испытывают трудности (нужно договориться меж собой, каждый тянет одеяло на себя и т.д.).
Если посмотреть сюды - https://bugs.launchpad.net/ubuntu/+source/update-notifier - у них там по жизни все не слава богу...

Я не фиксил сам баг, я лишь добавил "защиту от дурака", которая должна быть по дефолту в подобных утилитах. Вы пробовали когда-нибудь сделать одновременно два действия при помощи основного apt'a, ну, типа update в двух консолях? Естественно не даст. Вот я к apt-check'у добавил такую проверку, но решение, в общем-то, костыльное, ибо должно быть предусмотрено изначально, а лезть в этот питоновский говнокод желания никакого.

ИМХО, у нотифаера и всех его скриптов должна быть подобная защита от запуска вторичных инстансов.

Плюс есть вероятность, что все же KDE'шный виджет зацикливает вызов, что тоже косяк.

ибо лезть в сырцы нет ни сил ни желания, если честно...
Хреновато я себя чувствую...

У меня другая отмазка - я принимаю участие в куче коммерческих проектов и время не резиновое. Одно дело - найти баг в своем коде, другое дело - в чужом, да еще таком масштабном проекте... Можно убить не час, не два и даже не день. Хотя... Если сильно упереться и пофиксить с десятку багов - знаний о работе кед прибавится в разы. Вот выйду на пенсию - буду принимать активное участие =)

0
dyug - 17 Февраль, 2016 - 12:56

все же кде бага
оттуда же лечение
Workaround :remove plasma-discover-updater package and restart your plasma session
Как проверить
$ ps aux | grep apt-check | wc -l
мой метод лечения
killall apt-check
Главное, успеть это сделать. :-(
ЫЫЫЫЫЫЫЫ
#!/bin/bash

while true; do
    if killall -q apt-check; then
        echo "All running apt-check processes have been terminated."
    fi
    sleep 5s
done

0
MacLeod - 17 Февраль, 2016 - 16:01
Изображение пользователя MacLeod.

Они жгут напалмом)
Собственно, фикс уже есть.
Расписать как пакеты пересобрать, надо кому? Хотя можно и с вышеприведенной оберткой спокойно обновлений дождаться...

0
Bagr2 - 17 Февраль, 2016 - 18:34

Да! обязательно! Если можно по подробней!

0
Bagr2 - 18 Февраль, 2016 - 09:16

Я так понял что этот фикс будет только в версии плазма 5.5.5? Лили они отдельно обновляются?

0
MacLeod - 18 Февраль, 2016 - 10:18
Изображение пользователя MacLeod.

Будет в той, которую бэкпортируют/соберут. Любой может собрать самостоятельно. Я понял, что вы готовы к приключениям, я отпишусь позже, сейчас времени нет.

0
Bagr2 - 18 Февраль, 2016 - 10:40

Как Вам будет удобно.

0
dyug - 20 Февраль, 2016 - 11:00

Предистория:
Как все(читающие эту тему) в курсе, проблема у меня есть тоже.
как бороться мы уже разбирали, и как ее лечил я(если успевал), тоже описано.

Краткое содержание сегодняшнего процесса устранения заголовка.
так как я не очень люблю версию muon и иже с ним, я им не пользуюсь. (пользуюсь или консолью, или synaptic).
Посему, было принято решение произвести операцию Workaround :remove plasma-discover-updater package and restart your plasma session
произвел.
Могу сказать одно - работает.
На другие варианты обновления не влияет.
проблема тормоза, и постановка колом - пока исчезла.
Да, нужно понимать, что в данном случае перестанет появляться информация про обновления, и обновлять нужно или через apt-get (установлен по умолчанию), или установить aptitude или synaptic(для графического отображения)

0
Bagr2 - 20 Февраль, 2016 - 12:53

Я как бы отключил автоматическое обновление и вроде пока не вис. И что заметил что колом становится только через update manager а вот через виджет в трее все нормально!

0
Bagr2 - 20 Февраль, 2016 - 12:55

И к сожалению что заметил через терминал установка программ тоже бывает подвисает или долго устанавливает даже очень мелкие проги.

0
dyug - 20 Февраль, 2016 - 14:06

plasma-discover-updater удален? выходили из плазмы?
если да, то это другая проблема, если нет - то кто вам виноват?

0
Bagr2 - 20 Февраль, 2016 - 15:08

Я говорю за то что discover работает нормально! А вот терминал и update manager который отдельный виснут!

0
Bagr2 - 20 Февраль, 2016 - 15:09

Я говорю за то что discover работает нормально! А вот терминал и update manager который отдельный виснут!

0
dyug - 20 Февраль, 2016 - 15:29

а... ну тогда продолжайте в том же духе...
Раз он у вас "нормально работает" :-)

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры